cURL
curl --request POST \ --url https://api.pcxpay.com/v1/users/webhook-kyc \ --header 'Content-Type: application/json' \ --data ' { "verification": { "vendorData": "<string>", "id": "<string>", "status": "<string>", "decisionTime": "<string>" }, "status": "<string>" } '
{ "message": "<string>", "user": { "user_id": "<string>", "email": "jsmith@example.com", "fname": "<string>", "lname": "<string>", "date_of_birth": "<string>", "cognito_username": "<string>", "bridge_customer_id": "<string>", "kyc_submitted_at": "<string>", "kyc_approved_at": "<string>", "kyc_failure_reason": "<string>", "role": "admin", "status": "active", "type": "internal-admin", "created_by": "<string>", "org_id": "<string>", "org_ids": [ "<string>" ], "phone_number": "<string>", "address": "<string>", "country": "<string>", "id_type": "passport", "id_number": "<string>", "additional_id_type": "passport", "additional_id_number": "<string>", "kyc_session_id": "<string>", "kyc_status": "<string>", "created_at": "<string>", "updated_at": "<string>" } }
Receives callback events from the KYC provider (Veriff or equivalent). Looks up the user by vendorData (email), updates their KYC and account status based on the verification result, and fires an async log event.
vendorData
Show child attributes
Overall webhook event result (e.g. success, fail).
success
fail
Webhook processed